org.keycloak.social.twitter

## Class TwitterIdentityProvider.Endpoint

- java.lang.Object
- - org.keycloak.social.twitter.TwitterIdentityProvider.Endpoint

- Enclosing class:
    TwitterIdentityProvider

      protected class TwitterIdentityProvider.Endpoint
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IdentityProvider.AuthenticationCallback` | `callback`
    `protected ClientConnection` | `clientConnection`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwitterIdentityProvider.Endpoint(RealmModel realm, IdentityProvider.AuthenticationCallback callback)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authResponse(String state, String denied, String verifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

    - #### callback

          protected IdentityProvider.AuthenticationCallback callback

    - #### session

          @Context
          protected KeycloakSession session

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

  - ### Constructor Detail

    - #### TwitterIdentityProvider.Endpoint

          public TwitterIdentityProvider.Endpoint(RealmModel realm,
                                          IdentityProvider.AuthenticationCallback callback)

  - ### Method Detail

    - #### authResponse

          @GET
          public javax.ws.rs.core.Response authResponse(@QueryParam(value="state")
                                                   String state,
                                                   @QueryParam(value="denied")
                                                   String denied,
                                                   @QueryParam(value="oauth_verifier")
                                                   String verifier)

Copyright © 2015. All rights reserved.